;;;; type-errors-structured.scm  -*- Scheme -*-
;;;; Kon Lovett, Jul '18

(module type-errors-structured ()

(import (chicken module))

(export
  error-procedure error-closure
  error-input-port
  error-output-port
  error-list
  error-plist
  error-alist
  error-pair
  error-blob
  error-vector
  error-structure
  error-record
  error-record-type
  error-string)

(import scheme)
(import (chicken base))			; for `include'
(import (chicken type))
(import type-errors-basic)

(: error-procedure (* * #!optional * -> noreturn))
(: error-closure (* * #!optional * -> noreturn))
(: error-input-port (* * #!optional * -> noreturn))
(: error-output-port (* * #!optional * -> noreturn))
(: error-list (* * #!optional * -> noreturn))
(: error-plist (* * #!optional * -> noreturn))
(: error-alist (* * #!optional * -> noreturn))
(: error-pair (* * #!optional * -> noreturn))
(: error-blob (* * #!optional * -> noreturn))
(: error-vector (* * #!optional * -> noreturn))
(: error-string (* * #!optional * -> noreturn))
(: error-structure (* * * #!optional * -> noreturn))
(: error-record (* * * #!optional * -> noreturn))
(: error-record-type (* * * #!optional * -> noreturn))

(include "type-errors-structured.impl")

) ;module type-errors-structured
